[@bigcommerce/checkout-sdk](../README.md) / CardState

# Interface: CardState

## Table of contents

### Properties

- [data](CardState.md#data)
- [errors](CardState.md#errors)
- [isValid](CardState.md#isvalid)
- [valid](CardState.md#valid)

## Properties

### data

• **data**: [`CardDataPaymentMethodState`](CardDataPaymentMethodState.md)

___

### errors

• `Optional` **errors**: [`CardStateErrors`](CardStateErrors.md)

___

### isValid

• `Optional` **isValid**: `boolean`

___

### valid

• `Optional` **valid**: `Object`

#### Index signature

▪ [key: `string`]: `boolean`
